#include "common_funcs.h"
#include <cstdlib>
#include <iostream>

char *get_tokyo_cabinet_dir(bool gengetopt_given, char *gengetopt_arg) {
  char *tokyo_cabinet_dir = getenv("MAXLINK_TOKYO_CABINET_DIR");
  if (tokyo_cabinet_dir && gengetopt_given) {
    std::cerr << "error: --tokyo-cabinet-dir was given and the environment variable MAXLINK_TOKYO_CABINET_DIR was set. They can't be used at the same time." << std::endl;
    exit(EXIT_FAILURE);
  }
  if (gengetopt_given) {
    tokyo_cabinet_dir = gengetopt_arg;
  }
  if (!tokyo_cabinet_dir) {
    std::cerr << "error: --tokyo-cabinet-dir was not given and the environment variable MAXLINK_TOKYO_CABINET_DIR was not set. Please, specify one of them." << std::endl;
    exit(EXIT_FAILURE);
  }
  return tokyo_cabinet_dir;
}
